%define	upstream_name	 Catalyst-Plugin-Authorization-Roles
%define upstream_version 0.09

%define _requires_exceptions perl(A

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Role based authorization for Catalyst based on Catalyst::Plugin::Authentication
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Plugin::Authentication) >= 0.100.30
BuildRequires: perl(Catalyst::Runtime) >= 5.700.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Set::Object) >= 1.140.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::isa) >= 0.50.0
BuildArch:  noarch

%description
Role based access control is very simple: every user has a list of
roles, which that user is allowed to assume, and every restricted part
of the app makes an assertion about the necessary roles.

If the user is a member in all of the required roles access is
granted. Otherwise, access is denied.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL installdirs=vendor
%make

%check
make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 363957
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 106516
- update to 0.09

* Wed Jan 26 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 41248
- mageia rebuild
- imported package perl-Catalyst-Plugin-Authorization-Roles

